
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

import '../../api/mhsl/breaker/getBreakers/getBreakersResponse.dart';
import '../../widget/placeholderView.dart';
import 'BreakerProps.dart';


class Breaker extends StatefulWidget {
  final BreakerArea breaker;
  final Widget child;

  const Breaker({required this.breaker, required this.child, super.key});

  @override
  State<Breaker> createState() => _BreakerState();
}

class _BreakerState extends State<Breaker> {
  @override
  Widget build(BuildContext context) {
    return Consumer<BreakerProps>(
      builder: (context, value, child) {
        String? blocked = value.isBlocked(widget.breaker);
        if(blocked != null) {
          return PlaceholderView(icon: Icons.security_outlined, text: "Die App/ Dieser Bereich wurde als Schutzmaßnahme deaktiviert!\n\n${blocked.isEmpty ? "Es wurde vom Server kein Grund übermittelt." : blocked}");
        }

        return widget.child;
      },
    );
  }
}
